Get pending reviews
curl --request GET \
--url https://store.salesive.com/api/v1/reviews/pending \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/reviews/pending"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/reviews/pending', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reviews
Get pending reviews
Retrieve products from completed orders that are pending review.
GET
/
reviews
/
pending
Get pending reviews
Request
GET /reviews/pending
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
Authorization | string | Provide the customer token as Bearer <jwt>. |
x-shop-id | string | Identify the shop. |
An order is eligible for review ONLY if its status is
completed AND: 1. It
has no shipment attached, OR 2. The attached shipment’s status is
delivered.Successful response
{
"status": 200,
"success": true,
"message": "Pending reviews retrieved successfully",
"data": {
"pendingProducts": [
{
"orderId": "6938414ad9485f4d96134f8c",
"orderNumber": 9,
"orderDate": "2025-12-09T15:33:30.039Z",
"product": {
"_id": "68bc52f0e15404b8e40a7c52",
"name": "Salesive Hoodie Merch",
"slug": "salesive-hoodie-merch",
"images": [
"https://cdn.salesive.com/products/hoodie-1.jpg",
"https://cdn.salesive.com/products/hoodie-2.jpg"
],
"price": 25000
},
"variant": "692caacbb07303c9be5ea8f2",
"variantAttributes": {
"color": "green"
},
"imageUrl": "https://cdn.salesive.com/products/hoodie-1.jpg"
},
{
"orderId": "6937b2a9e455c711f1fc8bd4",
"orderNumber": 5,
"orderDate": "2025-12-09T05:24:57.688Z",
"product": {
"_id": "68c4f1cab50803b7b1310c60",
"name": "Apple MacBook Pro 16\" (M3 Pro, 2023)",
"slug": "apple-macbook-pro-16-m3-pro-2023",
"images": [
"https://cdn.salesive.com/products/macbook-1.jpg"
],
"price": 2500000
},
"variant": null,
"variantAttributes": {},
"imageUrl": "https://cdn.salesive.com/products/macbook-1.jpg"
}
],
"total": 2
}
}
Empty response
{
"status": 200,
"success": true,
"message": "Pending reviews retrieved successfully",
"data": {
"pendingProducts": [],
"total": 0
}
}
Error response
{
"status": 401,
"success": false,
"message": "Unauthorized",
"data": {}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Response
200
Pending reviews retrieved successfully
Was this page helpful?
⌘I

